Bug 171838 - CVE-2006-7176 sendmail allows external mail with from address xxx@localhost.localdomain
CVE-2006-7176 sendmail allows external mail with from address xxx@localhost.l...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sendmail (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 17:32 EDT by nathan.j.olson
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2007-0252
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:12:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 54188 None None None Never

  None (edit)
Description nathan.j.olson 2005-10-26 17:32:44 EDT
Description of problem:
When an external SMTP session is established, and an address of
"xxx@localhost.localdomain" is specified on the MAIL FROM: line, sendmail
blindly accepts this as valid.  Note that "xxx@localhost" is rejected by
sendmail.

Version-Release number of selected component (if applicable):
sendmail-8.13.1-2

How reproducible:
Always

Steps to Reproduce:
1. from a remote host, telnet host 25
2. EHLO foobar.redhat.com
3. MAIL FROM: <xxx@localhost.localdomain>
  
Actual results:
220 vaccine1.NoDak.edu ESMTP Sendmail 8.13.1/8.13.1; Wed, 26 Oct 2005 16:17:42 -
0500
EHLO nate.cc.ndsu.nodak.edu
250-vaccine1.NoDak.edu Hello nate.cc.ndsu.NoDak.edu [134.129.106.131], pleased 
to meet you
250-ENHANCEDSTATUSCODES
250-PIPELINING
250-8BITMIME
250-SIZE 26214400
250-DSN
250-AUTH GSSAPI DIGEST-MD5 CRAM-MD5
250-DELIVERBY
250 HELP
MAIL FROM: root@localhost
553 5.5.4 root@localhost... Real domain name required for sender address
MAIL FROM: root@localhost.localdomain
250 2.1.0 root@localhost.localdomain... Sender ok

Expected results:
220 vaccine1.NoDak.edu ESMTP Sendmail 8.13.1/8.13.1; Wed, 26 Oct 2005 16:17:42 -
0500
EHLO nate.cc.ndsu.nodak.edu
250-vaccine1.NoDak.edu Hello nate.cc.ndsu.NoDak.edu [134.129.106.131], pleased 
to meet you
250-ENHANCEDSTATUSCODES
250-PIPELINING
250-8BITMIME
250-SIZE 26214400
250-DSN
250-AUTH GSSAPI DIGEST-MD5 CRAM-MD5
250-DELIVERBY
250 HELP
MAIL FROM: root@localhost
553 5.5.4 root@localhost... Real domain name required for sender address
MAIL FROM: root@localhost.localdomain
553 5.5.4 root@localhost.localdomain... Real domain name required for sender 
address

Additional info:
In /etc/mail/sendmail.cf, checks are made for various "localhost" addresses. 
"localhost.localdomain" is missing:

# handle case of @localhost on address
R<@> < $* @ localhost > $: < ? $&{client_name} > < $1 @ localhost >

The following line wants adding to this:
R<@> < $* @ localhost.localdomain >     $: < ? $&{client_name} > < $1 @
localhost.localdomain >

Note that localhost.localdomain still remains valid for local use, but not
for remote SMTP use.
Comment 1 RHEL Product and Program Management 2006-08-18 13:08:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Josh Bressers 2006-10-02 17:10:08 EDT
I'm having a hard time understanding how this is a security vulnerability.  What
can be gained by sending mail as root@localhost.localdomain?
Comment 9 Red Hat Bugzilla 2007-05-01 13:12:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0252.html

Note You need to log in before you can comment on or make changes to this bug.